import type { PageServerLoad } from './$types';
import { Admin } from '$lib/server/database';
import { getSession } from '$lib/server/session';
import { Permissions } from '$lib/permissions';

export const load: PageServerLoad = async ({ cookies }) => {
	let admins: Admin[] = [];
	if (getSession(cookies, { permissions: [Permissions.AdminRead] }) != null) {
		admins = await Admin.findAll({ attributes: { exclude: ['password'] } });
	}

	return {
		admins: JSON.parse(JSON.stringify(admins)),
		permissions: getSession(cookies.get('session') || '')!.permissions.value
	};
};
